Visual Studio 2012 RTM will not install on pre-release versions of Windows 8

Symptom

Customers installing Visual Studio 2012 RTM on pre-release versions of Windows 8 or Windows Server 2012 may see the following error after launching the setup application:

The .Net Framework installed on this machine does not meet the minimum required version: 4.5.50709.

This is a blocking error and only allows the install to be canceled.

Cause

Visual Studio 2012 RTM is not supported on pre-release versions of Windows 8 or Windows Server 2012.

Resolution

To install Visual Studio 2012 RTM, you will need to install it on Windows 7 SP1, Server 2008 R2 SP1, or install VS2012 RTM on Windows 8 or Server 2012 RTM. If you are an MSDN or TechNet subscriber, you can get Win8 now from the following links:

If you are not an MSDN or TechNet subscriber, you can download a 90-day evaluation of Windows 8 Enterprise to make sure your software or hardware is ready for the Windows 8 launch.

You may also continue to use pre-release versions of VS2012 on supported pre-release versions of Win8, such as VS2012 RC on the Win8 Release Preview (RP).

More Information

See the system requirements on the download page for Visual Studio 2012 for more information.